<?php
/**
 * @file
 * deployer_feature_ct_deploy.ds.inc
 */

/**
 * Implements hook_ds_field_settings_info().
 */
function deployer_feature_ct_deploy_ds_field_settings_info() {
  $export = array();

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|deploy|default';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'deploy';
  $ds_fieldsetting->view_mode = 'default';
  $ds_fieldsetting->settings = array(
    'submitted_by' => array(
      'weight' => '0',
      'label' => 'inline',
      'format' => 'ds_post_date_short',
    ),
    'field_deployer_log' => array(
      'weight' => '5',
      'label' => 'hidden',
      'format' => 'default',
    ),
    'field_deployer_deploy_info' => array(
      'weight' => '3',
      'label' => 'hidden',
      'format' => 'default',
    ),
    'field_deployer_restore_info' => array(
      'weight' => '4',
      'label' => 'hidden',
      'format' => 'default',
    ),
    'field_deployer_client_connected_projects' => array(
      'weight' => '5',
      'label' => 'hidden',
      'format' => 'default',
    ),
  );
  $export['node|deploy|default'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|deploy|full';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'deploy';
  $ds_fieldsetting->view_mode = 'full';
  $ds_fieldsetting->settings = array(
    'submitted_by' => array(
      'weight' => '0',
      'label' => 'hidden',
      'format' => 'ds_time_ago',
    ),
    'field_deployer_log' => array(
      'weight' => '17',
      'label' => 'hidden',
      'format' => 'default',
    ),
    'field_deployer_deploy_info' => array(
      'weight' => '5',
      'label' => 'hidden',
      'format' => 'default',
    ),
    'field_deployer_restore_info' => array(
      'weight' => '6',
      'label' => 'hidden',
      'format' => 'default',
    ),
    'field_deployer_client_connected_projects' => array(
      'weight' => '7',
      'label' => 'hidden',
      'format' => 'default',
    ),
  );
  $export['node|deploy|full'] = $ds_fieldsetting;

  return $export;
}

/**
 * Implements hook_ds_layout_settings_info().
 */
function deployer_feature_ct_deploy_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|deploy|default';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'deploy';
  $ds_layout->view_mode = 'default';
  $ds_layout->layout = 'ds_2col_stacked';
  $ds_layout->settings = array(
    'regions' => array(
      'header' => array(
        0 => 'submitted_by',
        1 => 'field_deploystatus',
      ),
      'left' => array(
        2 => 'group_left',
        3 => 'field_deployer_deploy_info',
        5 => 'field_deployer_restore_info',
        10 => 'field_deployer_client_connected_projects',
        11 => 'field_commit_tag',
        14 => 'field_tag_link',
      ),
      'right' => array(
        4 => 'group_right',
        6 => 'group_deploy_opts',
        8 => 'group_backup_opts',
        12 => 'group_restore_opts',
        13 => 'field_logfile',
        15 => 'field_drush_clear_cache',
        16 => 'field_backup_database',
        17 => 'field_drush_update',
        18 => 'field_revert_features',
        19 => 'field_backup_webroot',
        20 => 'field_reset_all_passwords',
        21 => 'field_l10n_update',
        22 => 'field_search_api_reindex',
        23 => 'field_restore_databases',
        24 => 'field_restore_files',
        25 => 'field_restore_webroot',
        26 => 'field_restore_settings_php',
      ),
      'footer' => array(
        7 => 'group_log',
        9 => 'field_deployer_log',
      ),
    ),
    'fields' => array(
      'submitted_by' => 'header',
      'field_deploystatus' => 'header',
      'group_left' => 'left',
      'field_deployer_deploy_info' => 'left',
      'group_right' => 'right',
      'field_deployer_restore_info' => 'left',
      'group_deploy_opts' => 'right',
      'group_log' => 'footer',
      'group_backup_opts' => 'right',
      'field_deployer_log' => 'footer',
      'field_deployer_client_connected_projects' => 'left',
      'field_commit_tag' => 'left',
      'group_restore_opts' => 'right',
      'field_logfile' => 'right',
      'field_tag_link' => 'left',
      'field_drush_clear_cache' => 'right',
      'field_backup_database' => 'right',
      'field_drush_update' => 'right',
      'field_revert_features' => 'right',
      'field_backup_webroot' => 'right',
      'field_reset_all_passwords' => 'right',
      'field_l10n_update' => 'right',
      'field_search_api_reindex' => 'right',
      'field_restore_databases' => 'right',
      'field_restore_files' => 'right',
      'field_restore_webroot' => 'right',
      'field_restore_settings_php' => 'right',
    ),
    'classes' => array(),
    'wrappers' => array(
      'header' => 'div',
      'left' => 'div',
      'right' => 'div',
      'footer' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['node|deploy|default'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|deploy|full';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'deploy';
  $ds_layout->view_mode = 'full';
  $ds_layout->layout = 'ds_2col_stacked';
  $ds_layout->settings = array(
    'regions' => array(
      'header' => array(
        0 => 'submitted_by',
        1 => 'field_deploystatus',
      ),
      'left' => array(
        2 => 'group_left',
        4 => 'field_deployer_deploy_info',
        5 => 'field_deployer_restore_info',
        8 => 'field_deployer_client_connected_projects',
        9 => 'field_commit_tag',
        12 => 'field_tag_link',
      ),
      'right' => array(
        3 => 'group_right',
        6 => 'field_backup_database',
        7 => 'field_backup_webroot',
        10 => 'field_drush_clear_cache',
        11 => 'field_drush_update',
        13 => 'field_revert_features',
        14 => 'field_reset_all_passwords',
        15 => 'field_l10n_update',
        16 => 'field_restore_databases',
        17 => 'field_search_api_reindex',
        18 => 'field_restore_files',
        19 => 'field_restore_webroot',
        20 => 'field_restore_settings_php',
        22 => 'group_deploy_opts',
        23 => 'group_backup_opts',
        24 => 'group_restore_opts',
        25 => 'field_logfile',
      ),
      'footer' => array(
        21 => 'field_deployer_log',
        26 => 'group_log',
      ),
    ),
    'fields' => array(
      'submitted_by' => 'header',
      'field_deploystatus' => 'header',
      'group_left' => 'left',
      'group_right' => 'right',
      'field_deployer_deploy_info' => 'left',
      'field_deployer_restore_info' => 'left',
      'field_backup_database' => 'right',
      'field_backup_webroot' => 'right',
      'field_deployer_client_connected_projects' => 'left',
      'field_commit_tag' => 'left',
      'field_drush_clear_cache' => 'right',
      'field_drush_update' => 'right',
      'field_tag_link' => 'left',
      'field_revert_features' => 'right',
      'field_reset_all_passwords' => 'right',
      'field_l10n_update' => 'right',
      'field_restore_databases' => 'right',
      'field_search_api_reindex' => 'right',
      'field_restore_files' => 'right',
      'field_restore_webroot' => 'right',
      'field_restore_settings_php' => 'right',
      'field_deployer_log' => 'footer',
      'group_deploy_opts' => 'right',
      'group_backup_opts' => 'right',
      'group_restore_opts' => 'right',
      'field_logfile' => 'right',
      'group_log' => 'footer',
    ),
    'classes' => array(),
    'wrappers' => array(
      'header' => 'div',
      'left' => 'div',
      'right' => 'div',
      'footer' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['node|deploy|full'] = $ds_layout;

  return $export;
}
