<?php
/**
 * @file
 * deployer_feature_ct_deploy.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function deployer_feature_ct_deploy_field_group_info() {
  $export = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_backup_opts|node|deploy|default';
  $field_group->group_name = 'group_backup_opts';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'default';
  $field_group->parent_name = 'group_right';
  $field_group->data = array(
    'label' => 'Backup options',
    'weight' => '5',
    'children' => array(
      0 => 'field_backup_database',
      1 => 'field_backup_webroot',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Backup options',
      'instance_settings' => array(
        'classes' => 'group-backup-opts field-group-div',
        'description' => '',
        'show_label' => '1',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $export['group_backup_opts|node|deploy|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_backup_opts|node|deploy|full';
  $field_group->group_name = 'group_backup_opts';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'full';
  $field_group->parent_name = 'group_right';
  $field_group->data = array(
    'label' => 'Backup options',
    'weight' => '33',
    'children' => array(
      0 => 'field_backup_database',
      1 => 'field_backup_webroot',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Backup options',
      'instance_settings' => array(
        'classes' => 'group-backup-opts field-group-fieldset',
        'description' => '',
        'show_label' => '1',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $export['group_backup_opts|node|deploy|full'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_backup|node|deploy|form';
  $field_group->group_name = 'group_backup';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Backup',
    'weight' => '3',
    'children' => array(
      0 => 'field_backup_database',
      1 => 'field_backup_webroot',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Backup',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => 'group-backup field-group-fieldset',
        'description' => '',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_backup|node|deploy|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_deploy_opts|node|deploy|default';
  $field_group->group_name = 'group_deploy_opts';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'default';
  $field_group->parent_name = 'group_right';
  $field_group->data = array(
    'label' => 'Deploy options',
    'weight' => '4',
    'children' => array(
      0 => 'field_drush_clear_cache',
      1 => 'field_drush_update',
      2 => 'field_l10n_update',
      3 => 'field_reset_all_passwords',
      4 => 'field_revert_features',
      5 => 'field_search_api_reindex',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Deploy options',
      'instance_settings' => array(
        'classes' => 'group-deploy-opts field-group-div',
        'description' => '',
        'show_label' => '1',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $export['group_deploy_opts|node|deploy|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_deploy_opts|node|deploy|full';
  $field_group->group_name = 'group_deploy_opts';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'full';
  $field_group->parent_name = 'group_right';
  $field_group->data = array(
    'label' => 'Deploy options',
    'weight' => '32',
    'children' => array(
      0 => 'field_drush_clear_cache',
      1 => 'field_drush_update',
      2 => 'field_l10n_update',
      3 => 'field_reset_all_passwords',
      4 => 'field_revert_features',
      5 => 'field_search_api_reindex',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Deploy options',
      'instance_settings' => array(
        'classes' => 'group-deploy-opts field-group-fieldset',
        'description' => '',
        'show_label' => '1',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $export['group_deploy_opts|node|deploy|full'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_drush|node|deploy|form';
  $field_group->group_name = 'group_drush';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Drush commands',
    'weight' => '4',
    'children' => array(
      0 => 'field_drush_clear_cache',
      1 => 'field_drush_update',
      2 => 'field_l10n_update',
      3 => 'field_reset_all_passwords',
      4 => 'field_revert_features',
      5 => 'field_search_api_reindex',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Drush commands',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => 'group-drush field-group-fieldset',
        'description' => '',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_drush|node|deploy|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_left|node|deploy|default';
  $field_group->group_name = 'group_left';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Info',
    'weight' => '2',
    'children' => array(
      0 => 'field_commit_tag',
      1 => 'field_tag_link',
      2 => 'field_deployer_deploy_info',
      3 => 'field_deployer_restore_info',
      4 => 'field_deployer_client_connected_projects',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Info',
      'instance_settings' => array(
        'classes' => 'group-left field-group-html-element',
        'description' => '',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_left|node|deploy|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_left|node|deploy|full';
  $field_group->group_name = 'group_left';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'full';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Info',
    'weight' => '2',
    'children' => array(
      0 => 'field_commit_tag',
      1 => 'field_tag_link',
      2 => 'field_deployer_deploy_info',
      3 => 'field_deployer_restore_info',
      4 => 'field_deployer_client_connected_projects',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Info',
      'instance_settings' => array(
        'classes' => 'group-left field-group-fieldset',
        'description' => '',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_left|node|deploy|full'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_log|node|deploy|default';
  $field_group->group_name = 'group_log';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Log',
    'weight' => '4',
    'children' => array(
      0 => 'field_deployer_log',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Log',
      'instance_settings' => array(
        'classes' => 'group-log field-group-fieldset',
        'description' => '',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_log|node|deploy|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_log|node|deploy|full';
  $field_group->group_name = 'group_log';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'full';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Log',
    'weight' => '39',
    'children' => array(
      0 => 'field_deployer_log',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Log',
      'instance_settings' => array(
        'classes' => 'group-log field-group-fieldset',
        'description' => '',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_log|node|deploy|full'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_restore_opts|node|deploy|default';
  $field_group->group_name = 'group_restore_opts';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'default';
  $field_group->parent_name = 'group_right';
  $field_group->data = array(
    'label' => 'Restore options',
    'weight' => '6',
    'children' => array(
      0 => 'field_restore_databases',
      1 => 'field_restore_files',
      2 => 'field_restore_settings_php',
      3 => 'field_restore_webroot',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Restore options',
      'instance_settings' => array(
        'classes' => 'group-restore-opts field-group-div',
        'description' => '',
        'show_label' => '1',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $export['group_restore_opts|node|deploy|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_restore_opts|node|deploy|full';
  $field_group->group_name = 'group_restore_opts';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'full';
  $field_group->parent_name = 'group_right';
  $field_group->data = array(
    'label' => 'Restore options',
    'weight' => '34',
    'children' => array(
      0 => 'field_restore_databases',
      1 => 'field_restore_files',
      2 => 'field_restore_settings_php',
      3 => 'field_restore_webroot',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Restore options',
      'instance_settings' => array(
        'classes' => 'group-restore-opts field-group-div',
        'description' => '',
        'show_label' => '1',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $export['group_restore_opts|node|deploy|full'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_restore|node|deploy|form';
  $field_group->group_name = 'group_restore';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Restore',
    'weight' => '5',
    'children' => array(
      0 => 'field_restore_databases',
      1 => 'field_restore_files',
      2 => 'field_restore_settings_php',
      3 => 'field_restore_webroot',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Restore',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => 'group-restore field-group-fieldset',
        'description' => '',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_restore|node|deploy|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_right|node|deploy|default';
  $field_group->group_name = 'group_right';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Options',
    'weight' => '3',
    'children' => array(
      0 => 'field_logfile',
      1 => 'group_backup_opts',
      2 => 'group_deploy_opts',
      3 => 'group_restore_opts',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Options',
      'instance_settings' => array(
        'classes' => 'group-right field-group-fieldset',
        'description' => '',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_right|node|deploy|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_right|node|deploy|full';
  $field_group->group_name = 'group_right';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'deploy';
  $field_group->mode = 'full';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Options',
    'weight' => '3',
    'children' => array(
      0 => 'field_logfile',
      1 => 'group_deploy_opts',
      2 => 'group_backup_opts',
      3 => 'group_restore_opts',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Options',
      'instance_settings' => array(
        'classes' => 'group-right field-group-fieldset',
        'description' => '',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_right|node|deploy|full'] = $field_group;

  return $export;
}
