<?php
/**
 * @file
 * deployer_feature_ct_env.ds.inc
 */

/**
 * Implements hook_ds_field_settings_info().
 */
function deployer_feature_ct_env_ds_field_settings_info() {
  $export = array();

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|environment|compact';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'environment';
  $ds_fieldsetting->view_mode = 'compact';
  $ds_fieldsetting->settings = array(
    'title' => array(
      'weight' => '0',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'link' => '1',
        'wrapper' => 'h2',
        'class' => '',
      ),
    ),
    'field_deployer_show_backup_link' => array(
      'weight' => '6',
      'label' => 'hidden',
      'format' => 'default',
    ),
    'field_deployer_show_deploy_link' => array(
      'weight' => '7',
      'label' => 'hidden',
      'format' => 'default',
    ),
  );
  $export['node|environment|compact'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|environment|default';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'environment';
  $ds_fieldsetting->view_mode = 'default';
  $ds_fieldsetting->settings = array(
    'author' => array(
      'weight' => '4',
      'label' => 'hidden',
      'format' => 'author',
    ),
    'field_deployer_show_snapshots' => array(
      'weight' => '13',
      'label' => 'hidden',
      'format' => 'default',
    ),
    'field_deployer_show_backup_link' => array(
      'weight' => '10',
      'label' => 'hidden',
      'format' => 'default',
    ),
    'field_deployer_show_deploy_link' => array(
      'weight' => '11',
      'label' => 'hidden',
      'format' => 'default',
    ),
  );
  $export['node|environment|default'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|environment|full';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'environment';
  $ds_fieldsetting->view_mode = 'full';
  $ds_fieldsetting->settings = array(
    'author' => array(
      'weight' => '0',
      'label' => 'inline',
      'format' => 'author',
    ),
    'field_deployer_show_snapshots' => array(
      'weight' => '13',
      'label' => 'hidden',
      'format' => 'default',
    ),
    'field_deployer_show_backup_link' => array(
      'weight' => '8',
      'label' => 'hidden',
      'format' => 'default',
    ),
    'field_deployer_show_deploy_link' => array(
      'weight' => '9',
      'label' => 'hidden',
      'format' => 'default',
    ),
  );
  $export['node|environment|full'] = $ds_fieldsetting;

  return $export;
}

/**
 * Implements hook_ds_layout_settings_info().
 */
function deployer_feature_ct_env_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|environment|compact';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'environment';
  $ds_layout->view_mode = 'compact';
  $ds_layout->layout = 'ds_2col_stacked';
  $ds_layout->settings = array(
    'regions' => array(
      'header' => array(
        0 => 'title',
      ),
      'left' => array(
        1 => 'field_server_type',
        2 => 'field_code_branch',
        3 => 'field_last_checked',
        4 => 'field_drupal_version',
        5 => 'field_health_info',
      ),
      'right' => array(
        6 => 'field_deployer_show_backup_link',
        7 => 'field_deployer_show_deploy_link',
      ),
    ),
    'fields' => array(
      'title' => 'header',
      'field_server_type' => 'left',
      'field_code_branch' => 'left',
      'field_last_checked' => 'left',
      'field_drupal_version' => 'left',
      'field_health_info' => 'left',
      'field_deployer_show_backup_link' => 'right',
      'field_deployer_show_deploy_link' => 'right',
    ),
    'classes' => array(),
    'wrappers' => array(
      'header' => 'div',
      'left' => 'div',
      'right' => 'div',
      'footer' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['node|environment|compact'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|environment|default';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'environment';
  $ds_layout->view_mode = 'default';
  $ds_layout->layout = 'ds_3col_stacked_equal_width';
  $ds_layout->settings = array(
    'regions' => array(
      'header' => array(
        0 => 'field_project',
      ),
      'left' => array(
        1 => 'field_server_type',
        2 => 'field_code_branch',
        3 => 'author',
        4 => 'field_last_checked',
      ),
      'middle' => array(
        5 => 'field_drupal_version',
        6 => 'field_drush_version',
        7 => 'field_connection_type',
        8 => 'field_health_info',
      ),
      'right' => array(
        9 => 'field_deployer_show_backup_link',
        10 => 'field_deployer_show_deploy_link',
      ),
      'footer' => array(
        11 => 'field_server_instance',
        12 => 'field_deployer_show_snapshots',
      ),
    ),
    'fields' => array(
      'field_project' => 'header',
      'field_server_type' => 'left',
      'field_code_branch' => 'left',
      'author' => 'left',
      'field_last_checked' => 'left',
      'field_drupal_version' => 'middle',
      'field_drush_version' => 'middle',
      'field_connection_type' => 'middle',
      'field_health_info' => 'middle',
      'field_deployer_show_backup_link' => 'right',
      'field_deployer_show_deploy_link' => 'right',
      'field_server_instance' => 'footer',
      'field_deployer_show_snapshots' => 'footer',
    ),
    'classes' => array(),
    'wrappers' => array(
      'header' => 'div',
      'left' => 'div',
      'middle' => 'div',
      'right' => 'div',
      'footer' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['node|environment|default'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|environment|full';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'environment';
  $ds_layout->view_mode = 'full';
  $ds_layout->layout = 'ds_3col_stacked_equal_width';
  $ds_layout->settings = array(
    'regions' => array(
      'left' => array(
        0 => 'author',
        1 => 'field_server_type',
        2 => 'field_code_branch',
        3 => 'field_last_checked',
      ),
      'middle' => array(
        4 => 'field_drupal_version',
        5 => 'field_drush_version',
        6 => 'field_connection_type',
        7 => 'field_health_info',
      ),
      'right' => array(
        8 => 'field_deployer_show_backup_link',
        9 => 'field_deployer_show_deploy_link',
      ),
      'footer' => array(
        10 => 'field_server_instance',
        11 => 'group_snapshots',
        12 => 'field_deployer_show_snapshots',
      ),
    ),
    'fields' => array(
      'author' => 'left',
      'field_server_type' => 'left',
      'field_code_branch' => 'left',
      'field_last_checked' => 'left',
      'field_drupal_version' => 'middle',
      'field_drush_version' => 'middle',
      'field_connection_type' => 'middle',
      'field_health_info' => 'middle',
      'field_deployer_show_backup_link' => 'right',
      'field_deployer_show_deploy_link' => 'right',
      'field_server_instance' => 'footer',
      'group_snapshots' => 'footer',
      'field_deployer_show_snapshots' => 'footer',
    ),
    'classes' => array(),
    'wrappers' => array(
      'header' => 'div',
      'left' => 'div',
      'middle' => 'div',
      'right' => 'div',
      'footer' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['node|environment|full'] = $ds_layout;

  return $export;
}

/**
 * Implements hook_ds_view_modes_info().
 */
function deployer_feature_ct_env_ds_view_modes_info() {
  $export = array();

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'compact';
  $ds_view_mode->label = 'Compact';
  $ds_view_mode->entities = array(
    'node' => 'node',
  );
  $export['compact'] = $ds_view_mode;

  return $export;
}
